JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const sqlQueryResultView = await client.axons.sql.query('id', { sql: 'sql' });
console.log(sqlQueryResultView.columns);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
sql_query_result_view = client.axons.sql.query(
id="id",
sql="sql",
)
print(sql_query_result_view.columns)curl --request POST \
--url https://api.runloop.ai/v1/axons/{id}/sql/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sql": "<string>",
"params": [
{}
]
}
'
{
"columns": [
{
"name": "<string>",
"type": "<string>"
}
],
"rows": [
{}
],
"meta": {
"duration_ms": 123,
"changes": 123,
"rows_read_limit_reached": true
}
}axons
[Beta] Execute a SQL query against an axon's database.
[Beta] Execute a single parameterized SQL statement against an axon’s SQLite database.
POST
/
v1
/
axons
/
{id}
/
sql
/
query
JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const sqlQueryResultView = await client.axons.sql.query('id', { sql: 'sql' });
console.log(sqlQueryResultView.columns);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
sql_query_result_view = client.axons.sql.query(
id="id",
sql="sql",
)
print(sql_query_result_view.columns)Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The axon identifier.
Body
application/json
Was this page helpful?
⌘I
